Subject: Re: [PATCH] perf: powerpc: Disable pagefaults during callchain stack read

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 01 Aug 2011 20:39:07 +1000

On Mon, 2011-08-01 at 11:59 +0200, Peter Zijlstra wrote:
> > Signed-off-by: David Ahern <[email-masked]>
> > CC: Benjamin Herrenschmidt <[email-masked]>
> > CC: Anton Blanchard <[email-masked]> 
> 
> Hmm, Paul, didn't you fix something like this early on? Anyway, I've
> no
> objections since I'm really not familiar enough with the PPC side of
> things. 

I'm travelling so I haven't had a chance to review properly or even test
but it looks like an ad-hoc fix for the immediate problem.

Ultimately, I want to rework that stuff to do a __gup_fast like x86 does
(maybe as a fallback from an attempt at access first) so we work around
access permissions blocked by lack of dirty/accessed bits but in the
meantime, this should fix the immediate issue.

Cheers,
Ben.